# Administration Reference

## vos listaddrs

Purpose

Displays all VLDB server entries

Synopsis

    vos listaddrs [-cell <cell name>]  [-noauth]
                  [-localauth]  [-verbose]  [-help]

    vos lista [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos listaddrs command displays all of the server entries from the Volume Location Database (VLDB). An entry is created as the File Server initializes and registers the contents of its /usr/afs/local/sysid file in the VLDB.

Options

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output displays all server entries from the VLDB, each on its own line. If a file server machine is multihomed, all of its registered addresses appear on the line. The first one is the one reported as a volume's site in the output from the vos examine and vos listvldb commands.

The VLDB records IP addresses, and the command interpreter has the local name service (either a process like the Domain Name Service or a local host table) translate them to hostnames before displaying them. If an IP address appears in the output, it is not possible to translate it.

The existence of an entry does not necessarily indicate that the machine that is still an active file server machine. To remove obsolete server entries, use the vos changeaddr command with the -remove argument.

Examples

The following command displays the VLDB server entries in the ABC Corporation cell:

       % vos listaddrs
       sv5.abc.com
       sv1.abc.com
       sv2.abc.com  afs2.abc.com
       sv6.abc.com

Privilege Required

None

Related Information

sysid

vos

vos changeaddr

vos examine

vos listvldb

© IBM Corporation 2000. All Rights Reserved